Resumes (unpauses) a hibernated environment. It requests the environment to switch to the RUNNING state, so that it is ready to use and run DAGs.
This method is supported for Cloud Composer environments in development mode in versions composer-3-airflow-*.*.*-build.* and newer.
HTTP request
POST https://composer.googleapis.com/v1beta1/{name=projects/*/locations/*/environments/*}:resume
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The resource name of the environment to resume, in the form: "projects/{project}/locations/{location}/environments/{environment}" Authorization requires the following IAM permission on the specified resource
|
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloudcomposerhttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.